import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import centeredDecorator from '@decorators/centeredDecorator';
import ContentBlock from '@components/ContentBlock';
import { action } from '@storybook/addon-actions';
import { text } from '@storybook/addon-knobs';

<Meta title="Components / ContentBlock" component={ContentBlock} decorators={[centeredDecorator]} />

# Knobs

<Story name="Knobs">
    <ContentBlock
        title={text('title', 'Название карточки')}
        type={text('type', 'text')}
        img={text('img', 'https://placehold.it/300x300')}
        video={text('video', 'joi3VVr2uIs')}
        textPlaceholder={text('textPlaceholder', '')}
        onEdit={action('edit')}
        onRemove={action('remove')}
    />
</Story>

Компонент отображения контента. Будет дорабатываться в процессе необходимости

<ArgsTable story="Knobs" />
